net.sf.jasperreports.charts.design

## Interface JRDesignCategoryPlot

- All Known Implementing Classes:
    JRDesignAreaPlot, JRDesignBar3DPlot, JRDesignBarPlot, JRDesignLinePlot

      public interface JRDesignCategoryPlot

  Version:
    $Id: JRDesignCategoryPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CATEGORY_AXIS_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_DOMAIN_AXIS_MAXVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_DOMAIN_AXIS_MINVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_RANGE_AXIS_MAXVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_RANGE_AXIS_MINVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_LABEL_EXPRESSION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCategoryAxisFormat(JRAxisFormat axisFormat)`
    `void` | `setCategoryAxisLabelExpression(JRExpression categoryAxisLabelExpression)`
    `void` | `setDomainAxisMaxValueExpression(JRExpression domainAxisMaxValueExpression)`
    `void` | `setDomainAxisMinValueExpression(JRExpression domainAxisMinValueExpression)`
    `void` | `setRangeAxisMaxValueExpression(JRExpression rangeAxisMaxValueExpression)`
    `void` | `setRangeAxisMinValueExpression(JRExpression rangeAxisMinValueExpression)`
    `void` | `setValueAxisFormat(JRAxisFormat axisFormat)`
    `void` | `setValueAxisLabelExpression(JRExpression valueAxisLabelExpression)`

- - ### Field Detail

    - #### PROPERTY_CATEGORY_AXIS_LABEL_EXPRESSION

          static final java.lang.String PROPERTY_CATEGORY_AXIS_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_LABEL_EXPRESSION

          static final java.lang.String PROPERTY_VALUE_AXIS_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_DOMAIN_AXIS_MINVALUE_EXPRESSION

          static final java.lang.String PROPERTY_DOMAIN_AXIS_MINVALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_DOMAIN_AXIS_MAXVALUE_EXPRESSION

          static final java.lang.String PROPERTY_DOMAIN_AXIS_MAXVALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_RANGE_AXIS_MINVALUE_EXPRESSION

          static final java.lang.String PROPERTY_RANGE_AXIS_MINVALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_RANGE_AXIS_MAXVALUE_EXPRESSION

          static final java.lang.String PROPERTY_RANGE_AXIS_MAXVALUE_EXPRESSION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setCategoryAxisLabelExpression

          void setCategoryAxisLabelExpression(JRExpression categoryAxisLabelExpression)

    - #### setValueAxisLabelExpression

          void setValueAxisLabelExpression(JRExpression valueAxisLabelExpression)

    - #### setDomainAxisMinValueExpression

          void setDomainAxisMinValueExpression(JRExpression domainAxisMinValueExpression)

    - #### setDomainAxisMaxValueExpression

          void setDomainAxisMaxValueExpression(JRExpression domainAxisMaxValueExpression)

    - #### setRangeAxisMinValueExpression

          void setRangeAxisMinValueExpression(JRExpression rangeAxisMinValueExpression)

    - #### setRangeAxisMaxValueExpression

          void setRangeAxisMaxValueExpression(JRExpression rangeAxisMaxValueExpression)

    - #### setCategoryAxisFormat

          void setCategoryAxisFormat(JRAxisFormat axisFormat)

    - #### setValueAxisFormat

          void setValueAxisFormat(JRAxisFormat axisFormat)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com